Bug 495294 - Resume from suspend fails on M76, worked in F10
Resume from suspend fails on M76, worked in F10
Status: CLOSED DUPLICATE of bug 522271
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 06:23 EDT by Martin Ebourne
Modified: 2009-11-05 16:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 16:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (80.09 KB, text/plain)
2009-04-11 06:23 EDT, Martin Ebourne
no flags Details
dmesg log (114.58 KB, text/plain)
2009-04-11 06:24 EDT, Martin Ebourne
no flags Details
Xorg.0.log from xorg-x11-drv-ati-6.12.2-13.fc11.x86_64 result backlight off (32.61 KB, text/plain)
2009-05-07 19:29 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Martin Ebourne 2009-04-11 06:23:03 EDT
Description of problem:
Resume from suspend fails with a blank screen that fills with white. This was working fine in Fedora 10. Not using modesetting.

ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series]

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-10.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Suspend to RAM
2. Wake up from RAM
  
Actual results:
Screen comes back blank and then gradually fills with white.

Expected results:
Normal screen should return, as it used to in F10.

Additional info:
Switching to a console terminal and back generally fixes although sometimes it doesn't recover even after a dozen switches.
Comment 1 Martin Ebourne 2009-04-11 06:23:53 EDT
Created attachment 339166 [details]
xorg log
Comment 2 Martin Ebourne 2009-04-11 06:24:23 EDT
Created attachment 339167 [details]
dmesg log
Comment 3 Martin Ebourne 2009-04-17 16:58:01 EDT
Still broken with xorg-x11-drv-ati-6.12.2-2.fc11.x86_64

Resumes from suspend successfully using xorg-x11-drv-radeonhd-1.2.5-2.8.20090411git.fc11.x86_64 though.
Comment 4 Martin Ebourne 2009-05-07 19:29:59 EDT
Created attachment 342952 [details]
Xorg.0.log from xorg-x11-drv-ati-6.12.2-13.fc11.x86_64 result backlight off

The situation here has deteriorated with recent koji builds:

xorg-x11-drv-ati-6.12.2-12.fc11.x86_64
xorg-x11-drv-ati-6.12.2-13.fc11.x86_64

In both cases when X starts the backlight of the LCD goes off and the screen is completely black. Stays so even on VT switch. Machine is still running (switch to console + c-a-d reboots ok) but I can't see anything so couldn't get dmesg.

Looking back through /v/l/messages this oops might be relevant (2.6.29.2-130.fc11.x86_64):

May  8 00:12:43 avenin kernel: BUG: unable to handle kernel NULL pointer dereference at (null)
May  8 00:12:43 avenin kernel: IP: [<ffffffff811bc282>] __list_add+0x3f/0x81
May  8 00:12:43 avenin kernel: PGD 131528067 PUD 12e8c8067 PMD 0 
May  8 00:12:43 avenin kernel: Oops: 0000 [#1] SMP 
May  8 00:12:43 avenin kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0/enable
May  8 00:12:43 avenin kernel: CPU 1 
May  8 00:12:43 avenin kernel: Modules linked in: ipt_MASQUERADE iptable_nat nf_nat rfcomm bridge stp llc bnep sco l2cap autofs4 sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_codec_atihdmi snd_hda_codec_analog pata_pcmcia arc4 snd_hda_intel ecb snd_hda_codec iwlagn iwlcore snd_hwdep snd_pcm firewire_ohci e1000e sdhci_pci snd_timer sdhci lib80211 firewire_core snd mac80211 mmc_core video btusb iTCO_wdt yenta_socket ricoh_mmc tpm_infineon ppdev iTCO_vendor_support parport_pc tpm rsrc_nonstatic tpm_bios wmi parport ata_generic soundcore pata_acpi pcspkr bluetooth cfg80211 output hp_accel serio_raw snd_page_alloc joydev lis3lv02d crc_itu_t sha256_generic cbc aes_x86_64 aes_generic dm_crypt radeon drm i2c_algo_bit i2c_core [last unloaded: microcode]
May  8 00:12:43 avenin kernel: Pid: 2308, comm: Xorg Not tainted 2.6.29.2-130.fc11.x86_64 #1 HP Compaq 8510w 
May  8 00:12:43 avenin kernel: RIP: 0010:[<ffffffff811bc282>]  [<ffffffff811bc282>] __list_add+0x3f/0x81
May  8 00:12:43 avenin kernel: RSP: 0018:ffff88013a19db78  EFLAGS: 00010246
May  8 00:12:43 avenin kernel: RAX: ffff88013a10f000 RBX: ffff88013a10f668 RCX: ffffffff00f7ff5f
May  8 00:12:43 avenin kernel: RDX: ffff88013a10f668 RSI: 0000000000000000 RDI: ffff880132b8ba68
May  8 00:12:43 avenin kernel: RBP: ffff88013a19db98 R08: 0000000000000000 R09: 0000000000000000
May  8 00:12:43 avenin kernel: R10: 0000000000fffff0 R11: ffffffffffffffff R12: 0000000000000000
May  8 00:12:43 avenin kernel: R13: ffff880132b8ba68 R14: ffff88013a10f000 R15: 0000000000000000
May  8 00:12:43 avenin kernel: FS:  00007f3e3b71b7b0(0000) GS:ffff88013ace2200(0000) knlGS:0000000000000000
May  8 00:12:43 avenin kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May  8 00:12:43 avenin kernel: CR2: 0000000000000000 CR3: 000000012e80c000 CR4: 00000000000026e0
May  8 00:12:43 avenin kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
May  8 00:12:43 avenin kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
May  8 00:12:43 avenin kernel: Process Xorg (pid: 2308, threadinfo ffff88013a19c000, task ffff880130722e00)
May  8 00:12:43 avenin kernel: Stack:
May  8 00:12:43 avenin kernel: 0000000000000000 ffff880132b8ba00 0000000000000000 ffff88013a10f020
May  8 00:12:43 avenin kernel: ffff88013a19dba8 ffffffffa00224dd ffff88013a19dbb8 ffffffffa0022517
May  8 00:12:43 avenin kernel: ffff88013a19dc68 ffffffffa002406d ffff880132b8ba68 0000000039b37720
May  8 00:12:43 avenin kernel: Call Trace:
May  8 00:12:43 avenin kernel: [<ffffffffa00224dd>] list_add_tail+0x15/0x17 [drm]
May  8 00:12:43 avenin kernel: [<ffffffffa0022517>] drm_bo_add_to_lru+0x38/0x48 [drm]
May  8 00:12:43 avenin kernel: [<ffffffffa002406d>] drm_bo_do_validate+0x48e/0x4f9 [drm]
May  8 00:12:43 avenin kernel: [<ffffffffa001ac2e>] ? drm_mm_split_at_start+0x57/0x71 [drm]
May  8 00:12:43 avenin kernel: [<ffffffffa0024e98>] drm_buffer_object_create+0x2e4/0x324 [drm]
May  8 00:12:43 avenin kernel: [<ffffffffa005dd2a>] radeon_gem_object_alloc+0xcb/0x110 [radeon]
May  8 00:12:43 avenin kernel: [<ffffffffa005ddc0>] radeon_gem_create_ioctl+0x51/0x106 [radeon]
May  8 00:12:43 avenin kernel: [<ffffffffa005dd6f>] ? radeon_gem_create_ioctl+0x0/0x106 [radeon]
May  8 00:12:43 avenin kernel: [<ffffffffa0012b7e>] drm_ioctl+0x20e/0x2c5 [drm]
May  8 00:12:43 avenin kernel: [<ffffffff813a9f9b>] ? mutex_lock+0x27/0x38
May  8 00:12:43 avenin kernel: [<ffffffff810e0e40>] vfs_ioctl+0x6f/0x87
May  8 00:12:43 avenin kernel: [<ffffffff810e12db>] do_vfs_ioctl+0x462/0x4a3
May  8 00:12:43 avenin kernel: [<ffffffff810e1372>] sys_ioctl+0x56/0x79
May  8 00:12:43 avenin kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
May  8 00:12:43 avenin kernel: Code: ec 08 4c 8b 42 08 49 39 f0 74 20 49 89 d1 48 89 f1 48 c7 c2 ca 01 4f 81 be 1a 00 00 00 48 c7 c7 7f 01 4f 81 31 c0 e8 25 c7 e8 ff <4d> 8b 04 24 49 39 d8 74 20 4d 89 e1 48 89 d9 48 c7 c2 17 02 4f 
May  8 00:12:43 avenin kernel: RIP  [<ffffffff811bc282>] __list_add+0x3f/0x81
May  8 00:12:43 avenin kernel: RSP <ffff88013a19db78>
May  8 00:12:43 avenin kernel: CR2: 0000000000000000
May  8 00:12:43 avenin kernel: ---[ end trace 88429648580f114f ]---
Comment 5 Martin Ebourne 2009-05-07 19:32:04 EDT
The oops is also at http://www.kerneloops.org/submitresult.php?number=400217
Comment 6 Bug Zapper 2009-06-09 09:39:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jérôme Glisse 2009-10-13 11:36:32 EDT
Can you try if Fedora 12 live cd works for you ?https://fedoraproject.org/get-prerelease
Comment 8 Martin Ebourne 2009-10-13 19:11:15 EDT
Current f12 fails as per bug #522271. The symptoms are slightly different to this one hence the separate bug.
Comment 9 Matěj Cepl 2009-11-05 13:26:09 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Martin Ebourne 2009-11-05 16:38:11 EST
Marking as dup of 522271. The oops in this report is gone and the backlight issue is resolved but the original problem is still present and is being tracked in the other bug.

*** This bug has been marked as a duplicate of bug 522271 ***

Note You need to log in before you can comment on or make changes to this bug.